%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  ordinalpattern
%global packver   0.2.6
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.2.6
Release:          1%{?dist}%{?buildtag}
Summary:          Tests Based on Ordinal Patterns

License:          GPL-2 | GPL-3
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel
Requires:         R-core
BuildRequires:    R-CRAN-gtools 
BuildRequires:    R-CRAN-mvtnorm 
Requires:         R-CRAN-gtools 
Requires:         R-CRAN-mvtnorm 

%description
Ordinal patterns describe the dynamics of a time series by looking at the
ranks of subsequent observations. By comparing ordinal patterns of two
times series, Schnurr (2014) <doi:10.1007/s00362-013-0536-8> defines a
robust and non-parametric dependence measure: the ordinal pattern
coefficient. Functions to calculate this and a method to detect a change
in the pattern coefficient proposed in Schnurr and Dehling (2017)
<doi:10.1080/01621459.2016.1164706> are provided. Furthermore, the package
contains a function for calculating the ordinal pattern frequencies.
Generalized ordinal patterns as proposed by Schnurr and Fischer (2022)
<doi:10.1016/j.csda.2022.107472> are also considered.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
